package com.qa.inhertance_to_interfaces;

public class CreditAccount extends Account
{
	private	double	itsODLimit;
	
	public	CreditAccount( double odLimit )
	{
		itsODLimit = odLimit;
	}
	
	@Override
	public double debit(double amt)
	{
		double balance = getBalance();
		
		if( balance-amt >= itsODLimit )
			balance = super.debit(amt);
		
		return balance;
	}

}
