package interfaces_only;

public class CreditAccount implements Account
{
	private	double	itsODLimit;
	private	Account itsParent;
	
	public	CreditAccount( Account parent, double odLimit )
	{
		itsParent = parent;
		itsODLimit = odLimit;
	}
	
	public double debit(double amt)
	{
		double balance = getBalance();
		
		if( balance-amt >= itsODLimit )
			balance = itsParent.debit(amt);
		
		return balance;
	}

	public double credit(double amt)
	{
		return itsParent.credit(amt);
	}

	public double getBalance()
	{
		return itsParent.getBalance();
	}
}
