package com.qa.inhertance_to_interfaces;

import static org.junit.Assert.*;

import org.junit.Test;

public class CreditAccountTest
{
	@Test
	public void test_on_debit_balance_not_changed()
	{
		// arrange
		CreditAccount cut = new CreditAccount(-33.00 );
		double	expBalance = 0.0;
		
		// act
		double result = cut.debit(50.00);
		
		// assert 
		assertEquals(expBalance, result, 0.0);
	}

	@Test
	public void test_on_debit_balance_should_changed()
	{
		// arrange
		CreditAccount cut = new CreditAccount(-33.00 );
		double	expBalance = -20.0;
		
		// act
		double result = cut.debit(20.00);
		
		// assert 
		assertEquals(expBalance, result, 0.0);
	}
}
